@echo off
REM This batch file is for using QWKPRUNE with Session Manager.
REM
REM Copy it to the directory where Session Manager is located.
REM
REM In Session Manager's configuration, change your UN ZIP Spec
REM to "SMAN.BAT" (without the quotes).  Session Manager will
REM find the file and expand the filename to include the full path.
REM
REM Session Manager doesn't accept parameters for the ZIP and UN ZIP
REM programs, so the unpacker has to be entered directly in the batch
REM file.
REM
REM When Session Manager imports replies, they're unpacked into its
REM work directory.  The lines "if exist pruned.flg goto endit" and
REM "echo PRUNED > pruned.flg" prevent QWKPRUNE from being called
REM again in such cases.
REM
pkunzip %1 %2 %3 %4 %5 %6 %7 %8 %9
if exist pruned.flg goto endit
if exist messages.dat qwkprune /m
echo PRUNED > pruned.flg
:endit
pause
