@echo off
REM This batch file is for using QWKPRUNE with most mail readers.
REM See READER.DOC for details about using it with your reader.
REM
REM Copy it to the directory where the reader is located.
REM
REM Wherever you see [work_dir], replace it with the
REM work directory defined in the reader's configuration.
REM Some readers change to their work directory when unpacking
REM a QWK packet.  In these cases, you can remove [work_dir].
REM
REM The lines "if exist [work_dir]\pruned.flg goto endit" and
REM "echo PRUNED > pruned.flg" prevent QWKPRUNE from being called
REM again if a reply packet is unpacked.
REM
REM In the reader's configuration, insert "UNPACK" (without the quotes)
REM before the name of each of your unpackers.	If you need to do anything
REM else to run this file, it will be noted in READER.DOC.  If your reader
REM isn't listed in READER.DOC, and "UNPACK" doesn't work, include the
REM .BAT extension.  Some readers may require that you give a path to the
REM batch file.  If neither "UNPACK" nor "UNPACK.BAT" works, use
REM "COMMAND /C UNPACK" or "PARM UNPACK" (again w/o quotes) instead.
REM
%1 %2 %3 %4 %5 %6 %7 %8 %9
if exist [work_dir]\pruned.flg goto endit
if exist [work_dir]\messages.dat qwkprune /m[work_dir]
echo PRUNED > [work_dir]\pruned.flg
:endit
